Altibase.jdbc.driver

## Class AltibaseVersion

- java.lang.Object
- - Altibase.jdbc.driver.AltibaseVersion

    public class AltibaseVersion
    extends java.lang.Object

### Field Summary

Fields
`static int` `ALTIBASE_DEV_VERSION`
`static int` `ALTIBASE_MAJOR_VERSION`
`static int` `ALTIBASE_MINOR_VERSION`
`static int` `ALTIBASE_PATCH_VERSION`
`static int` `ALTIBASE_PATCHSET_VERSION`
`static java.lang.String` `ALTIBASE_VERSION_STRING`
`static byte` `CM_MAJOR_VERSION`
`static byte` `CM_MINOR_VERSION`
`static byte` `CM_PATCH_VERSION`
`static long` `CM_PROTOCOL_VERSION`
`static java.lang.String` `CM_VERSION_STRING`

### Constructor Summary

Constructors
Constructor and Description
`AltibaseVersion()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ALTIBASE_VERSION_STRING

    public static final java.lang.String ALTIBASE_VERSION_STRING

See Also:
  Constant Field Values

#### ALTIBASE_MAJOR_VERSION

    public static final int ALTIBASE_MAJOR_VERSION

#### ALTIBASE_MINOR_VERSION

    public static final int ALTIBASE_MINOR_VERSION

#### ALTIBASE_DEV_VERSION

    public static final int ALTIBASE_DEV_VERSION

#### ALTIBASE_PATCHSET_VERSION

    public static final int ALTIBASE_PATCHSET_VERSION

#### ALTIBASE_PATCH_VERSION

    public static final int ALTIBASE_PATCH_VERSION

#### CM_MAJOR_VERSION

    public static final byte CM_MAJOR_VERSION

#### CM_MINOR_VERSION

    public static final byte CM_MINOR_VERSION

#### CM_PATCH_VERSION

    public static final byte CM_PATCH_VERSION

#### CM_VERSION_STRING

    public static final java.lang.String CM_VERSION_STRING

#### CM_PROTOCOL_VERSION

    public static final long CM_PROTOCOL_VERSION

### Constructor Detail

#### AltibaseVersion

    public AltibaseVersion()

### Method Detail

#### main

    public static void main(java.lang.String[] args)